<template>
  <div>
    <!-- part-one  -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'mt-80' : 'mt-140 pr-12 pl-12'"
    >
      <MonWhat :data-given="item1" />
    </v-container>
    <!-- part-two -->
    <v-container
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5 mt-80'
          : 'grey lighten-5 mt-32 pr-12 pl-12'
      "
    >
      <MonLayer :data-given="item2" />
    </v-container>
    <!-- part-three  -->
    <v-container
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5 mt-80'
          : 'grey lighten-5 pr-12 pl-12'
      "
    >
      <MonWhy :data-given="item3" />
    </v-container>
    <!-- part-four  -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'mt-10 mb-10' : 'mt-10 mb-10 pa-12'"
    >
      <MonHow :data-given="item4" />
    </v-container>
    <!-- part-five  -->
    <v-container fluid class="grey lighten-5 pb-10 mt-4">
      <MonService :data-given="item5" />
    </v-container>
    <!-- part-six  -->
    <v-container class="mt-12 mb-12">
      <Montech />
    </v-container>
  </div>
</template>
<script>
export default {
  async asyncData({ app }) {
    const wholeContent = await import(
      `~/locales/${app.i18n.locale}/solutions/monitoring`
    );
    const item1 = wholeContent.default.whatIsMonitoring;
    const item2 = wholeContent.default.monitoringLayer;
    const item3 = wholeContent.default.whyMonitoring;
    const item4 = wholeContent.default.howMonitoring;
    const item5 = wholeContent.default.witchService;

    return { item1, item2, item3, item4, item5 };
  },
  head() {
    return {
      title: `${this.$t('monitoringSolution.monitoring')} | ${this.$t(
        'head.title',
      )}`,
      meta: [
        {
          name: 'description',
          property: 'og:description',
          content: this.$t('monitoringSolution.whatIsMonitoring.description'),
          hid: 'description',
        },
      ],
    };
  },
};
</script>
